Anonymous Login
2019-11-15 05:04 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0000484Pending RequestsProjectspublic2014-08-16 18:27
Reporteropto 
Assigned Tocaseydk 
PrioritynormalSeverityminorReproducibilityalways
StatusfeedbackResolutionreopened 
Product Version 
Target VersionFixed in Version 
Summary0000484: copying tasks from main/subproject on project creation
Descriptionwhat to do if we copy tasks from a parent project/subproject combination?

My hunch would be to generate a new subproject.
Or allow subproject to point to several parents? But then we could not easily do dependency tracking of the subproject in the parent.

At the moment, the subproject task is copied but not connected to any subproject. Would do if we generate a message like: the new project contains the subproject(s) xxx, yyy etc. Please manually rebuild these dependencies or insert copies of the subprojects.

Klaus
TagsNo tags attached.
Attached Files

-Relationships
related to 0000540closedcaseydk v3.2 Release Import tasks: incorrect handling of subprojects 
+Relationships

-Notes

~0003538

caseydk (administrator)

Last edited: 2014-07-03 17:21

View 2 revisions

The way this is implemented allows for each project to have one and only one parent project. Further, when a project with sub projects is copied/imported into another project, the Token Tasks (that represent the child project) are *not* copied.

~0003539

opto (manager)

to not copy the token tasks is ok. But we do need a warning.
After a year, the person importing may not know there were subprojects and needs a notice to manually resolve this. Otherwise, some tasks will just vanish on import, which is not good.
so workflow would be:
import tasks
receive notice which subprojects need to be manually inserted (or task id's/links of the original tasks)
-> user needs to do this
+Notes

-Issue History
Date Modified Username Field Change
2010-06-13 05:13 opto New Issue
2014-06-17 18:50 caseydk Relationship added related to 0000540
2014-07-03 17:21 caseydk Note Added: 0003538
2014-07-03 17:21 caseydk Status new => closed
2014-07-03 17:21 caseydk Assigned To => caseydk
2014-07-03 17:21 caseydk Resolution open => won't fix
2014-07-03 17:21 caseydk Note Edited: 0003538 View Revisions
2014-07-04 01:27 opto Note Added: 0003539
2014-07-04 01:27 opto Status closed => feedback
2014-07-04 01:27 opto Resolution won't fix => reopened
2014-08-16 18:27 caseydk Category General => Projects
+Issue History